[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedIcon.GetIndex

Gets the Index of an image with specified pixel format, height and width.

## Declaration

Source position: graphics.pp line 1554

`public function TSharedIcon.GetIndex(`
`AFormat: TPixelFormat;`
`AHeight: Word;`
`AWidth: Word`
`):Integer;`

## Arguments

`AFormat` |  | Pixel format (color depth) to locate in the Images.
`AHeight` |  | Height for the requested image.
`AWidth` |  | Width for the requested image.

## Function result

Ordinal position for the icon image matching the requested value(s).